#include <EEPROM.h>


// Define poistion in the memory and default values

// default set or not
#define ISDEFAULTSET_EEPROM_ADDRESS 9

// NOTES
byte NOTE_DEFAULT_VALUE[8] = {48, 38, 55, 50, 59, 49, 50, 51};
byte NOTE_EEPROM_ADDRESS[8] = {10, 11, 12, 13, 14, 15, 16, 17};




// get address data (byte)
byte getAddressValue(int eeAddress) {
  byte returnValue;
  EEPROM.get( eeAddress, returnValue );
  return returnValue;
} //end getAddressValue


// get address data (byte)
void updateAddressValue(int eeAddress, byte newValue) {
  byte returnValue;
  EEPROM.update( eeAddress, newValue );
} //end updateAddressValue

void checkAndSetDefaults() {
  // if the values are not set - update them
  if (! getAddressValue(ISDEFAULTSET_EEPROM_ADDRESS)) {
    //set notes default values
    for (byte i=0; i<8; i++) {
      updateAddressValue(NOTE_EEPROM_ADDRESS[i], NOTE_DEFAULT_VALUE[i]);  
    } //end for 

    // set update default to yes
    updateAddressValue(ISDEFAULTSET_EEPROM_ADDRESS, 1);
  } //end if
} //end checkAndSetDefaults

void setupEeprom() {
  // check and set defaults
  checkAndSetDefaults();
}






